import { registerExtension } from '@codingame/monaco-vscode-api/extensions';

const manifest = {"name":"python","displayName":"Python","description":"Python language support with extension access points for IntelliSense (Pylance), Debugging (Python Debugger), linting, formatting, refactoring, unit tests, and more.","featureFlags":{"usingNewInterpreterStorage":true},"capabilities":{"untrustedWorkspaces":{"supported":"limited","description":"Only Partial IntelliSense with Pylance is supported. Cannot execute Python with untrusted files."},"virtualWorkspaces":{"supported":"limited","description":"Only Partial IntelliSense supported."}},"publisher":"ms-python","enabledApiProposals":["contribEditorContentMenu","quickPickSortByLabel","testObserver","quickPickItemTooltip","terminalDataWriteEvent","terminalExecuteCommandEvent","codeActionAI","notebookReplDocument","notebookVariableProvider"],"author":{"name":"Microsoft Corporation"},"license":"MIT","homepage":"https://github.com/Microsoft/vscode-python","repository":{"type":"git","url":"https://github.com/Microsoft/vscode-python"},"bugs":{"url":"https://github.com/Microsoft/vscode-python/issues"},"qna":"https://github.com/microsoft/vscode-python/discussions/categories/q-a","icon":"icon.png","galleryBanner":{"color":"#1e415e","theme":"dark"},"engines":{"vscode":"^1.94.0-20240918"},"enableTelemetry":true,"keywords":["python","django","unittest","multi-root ready"],"categories":["Programming Languages","Debuggers","Other","Data Science","Machine Learning"],"contributes":{"problemMatchers":[{"name":"python","owner":"python","source":"python","fileLocation":"autoDetect","pattern":[{"regexp":"^.*File \\\"([^\\\"]|.*)\\\", line (\\d+).*","file":1,"line":2},{"regexp":"^\\s*(.*)\\s*$"},{"regexp":"^\\s*(.*Error.*)$","message":1}]}],"configuration":{"properties":{"python.activeStateToolPath":{"default":"state","description":"%python.activeStateToolPath.description%","scope":"machine-overridable","type":"string"},"python.autoComplete.extraPaths":{"default":[],"description":"%python.autoComplete.extraPaths.description%","scope":"resource","type":"array","uniqueItems":true},"python.createEnvironment.contentButton":{"default":"hide","markdownDescription":"%python.createEnvironment.contentButton.description%","scope":"machine-overridable","type":"string","enum":["show","hide"]},"python.createEnvironment.trigger":{"default":"prompt","markdownDescription":"%python.createEnvironment.trigger.description%","scope":"machine-overridable","type":"string","enum":["off","prompt"]},"python.condaPath":{"default":"","description":"%python.condaPath.description%","scope":"machine","type":"string"},"python.defaultInterpreterPath":{"default":"python","markdownDescription":"%python.defaultInterpreterPath.description%","scope":"machine-overridable","type":"string"},"python.envFile":{"default":"${workspaceFolder}/.env","description":"%python.envFile.description%","scope":"resource","type":"string"},"python.experiments.enabled":{"default":true,"description":"%python.experiments.enabled.description%","scope":"window","type":"boolean"},"python.experiments.optInto":{"default":[],"markdownDescription":"%python.experiments.optInto.description%","items":{"enum":["All","pythonSurveyNotification","pythonPromptNewToolsExt","pythonTerminalEnvVarActivation","pythonDiscoveryUsingWorkers","pythonTestAdapter"],"enumDescriptions":["%python.experiments.All.description%","%python.experiments.pythonSurveyNotification.description%","%python.experiments.pythonPromptNewToolsExt.description%","%python.experiments.pythonTerminalEnvVarActivation.description%","%python.experiments.pythonDiscoveryUsingWorkers.description%","%python.experiments.pythonTestAdapter.description%"]},"scope":"window","type":"array","uniqueItems":true},"python.experiments.optOutFrom":{"default":[],"markdownDescription":"%python.experiments.optOutFrom.description%","items":{"enum":["All","pythonSurveyNotification","pythonPromptNewToolsExt","pythonTerminalEnvVarActivation","pythonDiscoveryUsingWorkers","pythonTestAdapter"],"enumDescriptions":["%python.experiments.All.description%","%python.experiments.pythonSurveyNotification.description%","%python.experiments.pythonPromptNewToolsExt.description%","%python.experiments.pythonTerminalEnvVarActivation.description%","%python.experiments.pythonDiscoveryUsingWorkers.description%","%python.experiments.pythonTestAdapter.description%"]},"scope":"window","type":"array","uniqueItems":true},"python.globalModuleInstallation":{"default":false,"description":"%python.globalModuleInstallation.description%","scope":"resource","type":"boolean"},"python.languageServer":{"default":"Default","description":"%python.languageServer.description%","enum":["Default","Jedi","Pylance","None"],"enumDescriptions":["%python.languageServer.defaultDescription%","%python.languageServer.jediDescription%","%python.languageServer.pylanceDescription%","%python.languageServer.noneDescription%"],"scope":"window","type":"string"},"python.interpreter.infoVisibility":{"default":"onPythonRelated","description":"%python.interpreter.infoVisibility.description%","enum":["never","onPythonRelated","always"],"enumDescriptions":["%python.interpreter.infoVisibility.never.description%","%python.interpreter.infoVisibility.onPythonRelated.description%","%python.interpreter.infoVisibility.always.description%"],"scope":"machine","type":"string"},"python.logging.level":{"default":"error","deprecationMessage":"%python.logging.level.deprecation%","description":"%python.logging.level.description%","enum":["debug","error","info","off","warn"],"scope":"machine","type":"string"},"python.missingPackage.severity":{"default":"Hint","description":"%python.missingPackage.severity.description%","enum":["Error","Hint","Information","Warning"],"scope":"resource","type":"string"},"python.locator":{"default":"js","description":"%python.locator.description%","enum":["js","native"],"tags":["onExP","preview"],"scope":"machine","type":"string"},"python.pipenvPath":{"default":"pipenv","description":"%python.pipenvPath.description%","scope":"machine-overridable","type":"string"},"python.poetryPath":{"default":"poetry","description":"%python.poetryPath.description%","scope":"machine-overridable","type":"string"},"python.pixiToolPath":{"default":"pixi","description":"%python.pixiToolPath.description%","scope":"machine-overridable","type":"string"},"python.terminal.activateEnvInCurrentTerminal":{"default":false,"description":"%python.terminal.activateEnvInCurrentTerminal.description%","scope":"resource","type":"boolean"},"python.terminal.activateEnvironment":{"default":true,"description":"%python.terminal.activateEnvironment.description%","scope":"resource","type":"boolean"},"python.terminal.executeInFileDir":{"default":false,"description":"%python.terminal.executeInFileDir.description%","scope":"resource","type":"boolean"},"python.terminal.focusAfterLaunch":{"default":false,"description":"%python.terminal.focusAfterLaunch.description%","scope":"resource","type":"boolean"},"python.terminal.launchArgs":{"default":[],"description":"%python.terminal.launchArgs.description%","scope":"resource","type":"array"},"python.terminal.shellIntegration.enabled":{"default":false,"markdownDescription":"%python.terminal.shellIntegration.enabled.description%","scope":"resource","type":"boolean","tags":["preview"]},"python.REPL.enableREPLSmartSend":{"default":true,"description":"%python.EnableREPLSmartSend.description%","scope":"resource","type":"boolean"},"python.REPL.sendToNativeREPL":{"default":false,"description":"%python.REPL.sendToNativeREPL.description%","scope":"resource","type":"boolean"},"python.REPL.provideVariables":{"default":true,"description":"%python.REPL.provideVariables.description%","scope":"resource","type":"boolean"},"python.testing.autoTestDiscoverOnSaveEnabled":{"default":true,"description":"%python.testing.autoTestDiscoverOnSaveEnabled.description%","scope":"resource","type":"boolean"},"python.testing.autoTestDiscoverOnSavePattern":{"default":"**/*.py","description":"%python.testing.autoTestDiscoverOnSavePattern.description%","scope":"resource","type":"string"},"python.testing.cwd":{"default":null,"description":"%python.testing.cwd.description%","scope":"resource","type":"string"},"python.testing.debugPort":{"default":3000,"description":"%python.testing.debugPort.description%","scope":"resource","type":"number"},"python.testing.promptToConfigure":{"default":true,"description":"%python.testing.promptToConfigure.description%","scope":"resource","type":"boolean"},"python.testing.pytestArgs":{"default":[],"description":"%python.testing.pytestArgs.description%","items":{"type":"string"},"scope":"resource","type":"array"},"python.testing.pytestEnabled":{"default":false,"description":"%python.testing.pytestEnabled.description%","scope":"resource","type":"boolean"},"python.testing.pytestPath":{"default":"pytest","description":"%python.testing.pytestPath.description%","scope":"machine-overridable","type":"string"},"python.testing.unittestArgs":{"default":["-v","-s",".","-p","*test*.py"],"description":"%python.testing.unittestArgs.description%","items":{"type":"string"},"scope":"resource","type":"array"},"python.testing.unittestEnabled":{"default":false,"description":"%python.testing.unittestEnabled.description%","scope":"resource","type":"boolean"},"python.venvFolders":{"default":[],"description":"%python.venvFolders.description%","items":{"type":"string"},"scope":"machine","type":"array","uniqueItems":true},"python.venvPath":{"default":"","description":"%python.venvPath.description%","scope":"machine","type":"string"}},"title":"Python","type":"object"},"grammars":[{"language":"pip-requirements","path":"./syntaxes/pip-requirements.tmLanguage.json","scopeName":"source.pip-requirements"}],"jsonValidation":[{"fileMatch":".condarc","url":"./schemas/condarc.json"},{"fileMatch":"environment.yml","url":"./schemas/conda-environment.json"},{"fileMatch":"meta.yaml","url":"./schemas/conda-meta.json"}],"languages":[{"aliases":["Jinja"],"extensions":[".j2",".jinja2"],"id":"jinja"},{"aliases":["pip requirements","requirements.txt"],"configuration":"./languages/pip-requirements.json","filenamePatterns":["**/*requirements*.{txt, in}","**/*constraints*.txt","**/requirements/*.{txt,in}","**/constraints/*.txt"],"filenames":["constraints.txt","requirements.in","requirements.txt"],"id":"pip-requirements"},{"filenames":[".condarc"],"id":"yaml"},{"filenames":[".flake8",".pep8",".pylintrc",".pypirc"],"id":"ini"},{"filenames":["Pipfile","poetry.lock","uv.lock"],"id":"toml"},{"filenames":["Pipfile.lock"],"id":"json"}],"submenus":[{"id":"python.run","label":"%python.editor.context.submenu.runPython%","icon":"$(play)"},{"id":"python.runFileInteractive","label":"%python.editor.context.submenu.runPythonInteractive%"}],"yamlValidation":[{"fileMatch":".condarc","url":"./schemas/condarc.json"},{"fileMatch":"environment.yml","url":"./schemas/conda-environment.json"},{"fileMatch":"meta.yaml","url":"./schemas/conda-meta.json"}]},"copilot":{"tests":{"getSetupConfirmation":"python.copilotSetupTests"}},"version":"2025.5.2025042501","extensionPack":["ms-python.vscode-pylance","ms-python.debugpy"]};

const { registerFileUrl, whenReady } = registerExtension(manifest, undefined, {"system":true,"readmePath":"readme.md","changelogPath":"changelog.md"});


registerFileUrl('changelog.md', new URL('../assets/ms-python.python-2025.5.2025042501.vsix/changelog.md', import.meta.url).href, {"mimeType":"text/markdown","size":625861});

registerFileUrl('icon.png', new URL('../assets/ms-python.python-2025.5.2025042501.vsix/icon.png', import.meta.url).href, {"mimeType":"image/png","size":48597});

registerFileUrl('languages/pip-requirements.json', new URL('../assets/ms-python.python-2025.5.2025042501.vsix/pip-requirements.json', import.meta.url).href, {"mimeType":"application/json","size":33});

registerFileUrl('package.json', new URL('../assets/ms-python.python-2025.5.2025042501.vsix/package.json', import.meta.url).href, {"mimeType":"application/json","size":39194});

registerFileUrl('package.nls.cs.json', new URL('../assets/ms-python.python-2025.5.2025042501.vsix/package.nls.cs.json', import.meta.url).href, {"mimeType":"application/json","size":18421});

registerFileUrl('package.nls.de.json', new URL('../assets/ms-python.python-2025.5.2025042501.vsix/package.nls.de.json', import.meta.url).href, {"mimeType":"application/json","size":18761});

registerFileUrl('package.nls.es.json', new URL('../assets/ms-python.python-2025.5.2025042501.vsix/package.nls.es.json', import.meta.url).href, {"mimeType":"application/json","size":18550});

registerFileUrl('package.nls.fr.json', new URL('../assets/ms-python.python-2025.5.2025042501.vsix/package.nls.fr.json', import.meta.url).href, {"mimeType":"application/json","size":19032});

registerFileUrl('package.nls.it.json', new URL('../assets/ms-python.python-2025.5.2025042501.vsix/package.nls.it.json', import.meta.url).href, {"mimeType":"application/json","size":18191});

registerFileUrl('package.nls.ja.json', new URL('../assets/ms-python.python-2025.5.2025042501.vsix/package.nls.ja.json', import.meta.url).href, {"mimeType":"application/json","size":20794});

registerFileUrl('package.nls.json', new URL('../assets/ms-python.python-2025.5.2025042501.vsix/package.nls.json', import.meta.url).href, {"mimeType":"application/json","size":18832});

registerFileUrl('package.nls.ko.json', new URL('../assets/ms-python.python-2025.5.2025042501.vsix/package.nls.ko.json', import.meta.url).href, {"mimeType":"application/json","size":18248});

registerFileUrl('package.nls.pl.json', new URL('../assets/ms-python.python-2025.5.2025042501.vsix/package.nls.pl.json', import.meta.url).href, {"mimeType":"application/json","size":18998});

registerFileUrl('package.nls.pt-br.json', new URL('../assets/ms-python.python-2025.5.2025042501.vsix/package.nls.pt-br.json', import.meta.url).href, {"mimeType":"application/json","size":17982});

registerFileUrl('package.nls.qps-ploc.json', new URL('../assets/ms-python.python-2025.5.2025042501.vsix/package.nls.qps-ploc.json', import.meta.url).href, {"mimeType":"application/json","size":21073});

registerFileUrl('package.nls.ru.json', new URL('../assets/ms-python.python-2025.5.2025042501.vsix/package.nls.ru.json', import.meta.url).href, {"mimeType":"application/json","size":24860});

registerFileUrl('package.nls.tr.json', new URL('../assets/ms-python.python-2025.5.2025042501.vsix/package.nls.tr.json', import.meta.url).href, {"mimeType":"application/json","size":18480});

registerFileUrl('package.nls.zh-cn.json', new URL('../assets/ms-python.python-2025.5.2025042501.vsix/package.nls.zh-cn.json', import.meta.url).href, {"mimeType":"application/json","size":15739});

registerFileUrl('package.nls.zh-tw.json', new URL('../assets/ms-python.python-2025.5.2025042501.vsix/package.nls.zh-tw.json', import.meta.url).href, {"mimeType":"application/json","size":16025});

registerFileUrl('readme.md', new URL('../assets/ms-python.python-2025.5.2025042501.vsix/readme.md', import.meta.url).href, {"mimeType":"text/markdown","size":9718});

registerFileUrl('schemas/conda-environment.json', new URL('../assets/ms-python.python-2025.5.2025042501.vsix/conda-environment.json', import.meta.url).href, {"mimeType":"application/json","size":736});

registerFileUrl('schemas/conda-meta.json', new URL('../assets/ms-python.python-2025.5.2025042501.vsix/conda-meta.json', import.meta.url).href, {"mimeType":"application/json","size":4523});

registerFileUrl('schemas/condarc.json', new URL('../assets/ms-python.python-2025.5.2025042501.vsix/condarc.json', import.meta.url).href, {"mimeType":"application/json","size":1901});

registerFileUrl('syntaxes/pip-requirements.tmLanguage.json', new URL('../assets/ms-python.python-2025.5.2025042501.vsix/pip-requirements.tmLanguage.json', import.meta.url).href, {"mimeType":"application/json","size":1392});

export { whenReady };
